
local M = {}

local font = love.graphics.newFont(50)

function M.draw()
    love.graphics.setColor(1, 1, 1, 1)
    love.graphics.draw(screen.screenshot)
    love.graphics.setColor(0.2, 0.2, 0.2, 0.9)
    love.graphics.rectangle("fill", 15, 450, 150, 50)
    love.graphics.setFont(font)
    love.graphics.setColor(0.8, 0, 0)
    love.graphics.print("FAIL!!", 20, 450)
end

function M.keypressed(key)
end

function M.update(dt)
    if love.timer.getTime() - player.timer > 3 then
        screen.screenshot:release()
        screen.screenshot = nil
        player.timer = nil
        player.active = true
        player.x, player.y = 1, 1
        state.current = state.play
    end
end

return M
